OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.MapBufferRange

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_map_buffer_range extension, see http://www.opengl.org/registry/specs/ARB/map_buffer_range.txt.

Synopsis

- glMapBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> GLbitfield -> IO (Ptr a)
- glFlushMappedBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> IO ()
- gl_MAP_READ_BIT :: GLbitfield
- gl_MAP_WRITE_BIT :: GLbitfield
- gl_MAP_INVALIDATE_RANGE_BIT :: GLbitfield
- gl_MAP_INVALIDATE_BUFFER_BIT :: GLbitfield
- gl_MAP_FLUSH_EXPLICIT_BIT :: GLbitfield
- gl_MAP_UNSYNCHRONIZED_BIT :: GLbitfield

# Functions

glMapBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> GLbitfield -> IO (Ptr a)

glFlushMappedBufferRange :: GLenum -> GLintptr -> GLsizeiptr -> IO ()

# Tokens

gl_MAP_READ_BIT :: GLbitfield

gl_MAP_WRITE_BIT :: GLbitfield

gl_MAP_INVALIDATE_RANGE_BIT :: GLbitfield

gl_MAP_INVALIDATE_BUFFER_BIT :: GLbitfield

gl_MAP_FLUSH_EXPLICIT_BIT :: GLbitfield

gl_MAP_UNSYNCHRONIZED_BIT :: GLbitfield